Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
eZ\Publish\Core\Persistence\Cache\LocationHandler Class Reference
Inheritance diagram for eZ\Publish\Core\Persistence\Cache\LocationHandler:

## Public Member Functions
| load ($locationId, array $translations=null, bool $useAlwaysAvailable=true)
  | {Loads the data for the location identified by $locationId. Parameters
  int | $locationId |
  string[] | null | $translations | If set, NotFound is thrown if content is not in given translation.
  bool | $useAlwaysAvailable | Respect always available flag on content, where main language is valid translation fallback.
  Exceptions
} More...
| loadList (array $locationIds, array $translations=null, bool $useAlwaysAvailable=true)
| Return list of unique Locations, with location id as key. More...
| loadSubtreeIds ($locationId)
  | {Loads the subtree ids of the location identified by $locationId. Parameters
  int | $locationId |
  Exceptions
} More...
| loadLocationsByContent ($contentId, $rootLocationId=null)
  | {Loads all locations for $contentId, optionally limited to a sub tree identified by $rootLocationId. Parameters
  int | $contentId |
  int | $rootLocationId |
Returns \eZ\Publish\SPI\Persistence\Content\Location[] } More...
| loadLocationsByTrashContent (int $contentId, ?int $rootLocationId=null)
| {Loads all locations for $contentId in trash, optionally limited to a sub tree identified by $rootLocationId. Returns \eZ\Publish\SPI\Persistence\Content\Location[] } More...
| loadParentLocationsForDraftContent ($contentId)
  | {Loads all parent Locations for unpublished Content by given $contentId. Parameters
  mixed | $contentId |
Returns \eZ\Publish\SPI\Persistence\Content\Location[] } More...
| loadByRemoteId ($remoteId, array $translations=null, bool $useAlwaysAvailable=true)
  | {Loads the data for the location identified by $remoteId. Parameters
  string | $remoteId |
  string[] | null | $translations | If set, NotFound is thrown if content is not in given translation.
  bool | $useAlwaysAvailable | Respect always available flag on content, where main language is valid translation fallback.
  Exceptions
} More...
| copySubtree ($sourceId, $destinationParentId, $newOwnerId=null)
| {} More...
| move ($sourceId, $destinationParentId)
  | {Moves location identified by $sourceId into new parent identified by $destinationParentId.Performs a full move of the location identified by $sourceId to a new destination, identified by $destinationParentId. Relations do not need to be updated, since they refer to Content. URLs are not touched. Parameters
  mixed | $sourceId |
  mixed | $destinationParentId |
Returns bool } More...
| markSubtreeModified ($locationId, $timestamp=null)
  | {Marks the given nodes and all ancestors as modified.Optionally a time stamp with the modification date may be specified, otherwise the current time is used. Deprecated: As of 6.8, not been used by repository since 5.x. Parameters
  int | string | $locationId |
  int | $timestamp |
} More...
| hide ($locationId)
  | {Sets a location to be hidden, and it self + all children to invisible. Parameters
  mixed | $id | Location ID
} More...
| unHide ($locationId)
  | {Sets a location to be unhidden, and self + children to visible unless a parent is hiding the tree.If not make sure only children down to first hidden node is marked visible. Parameters
  mixed | $id |
} More...
| setInvisible (int $id)
| Sets a location + all children to invisible. More...
| setVisible (int $id)
| Sets a location + all children to visible. More...
| swap ($locationId1, $locationId2)
  | {Swaps the content object being pointed to by a location object.Make the location identified by $locationId1 refer to the Content referred to by $locationId2 and vice versa. Parameters
  mixed | $locationId1 |
  mixed | $locationId2 |
Returns bool } More...
| update (UpdateStruct $struct, $locationId)
  | {Updates an existing location. Parameters
  \eZ\Publish\SPI\Persistence\Content\Location\UpdateStruct | $location |
  int | $locationId |
} More...
| create (CreateStruct $locationStruct)
| {} More...
| removeSubtree ($locationId)
  | {Removes all Locations under and including $locationId.Performs a recursive delete on the location identified by $locationId, including all of its child locations. Content which is not referred to by any other location is automatically removed. Content which looses its main Location will get the first of its other Locations assigned as the new main Location. Parameters
  mixed | $locationId |
Returns bool } More...
| setSectionForSubtree ($locationId, $sectionId)
  | {Set section on all content objects in the subtree.Only main locations will be updated. Todo: This can be confusing (regarding permissions and main/multi location). So method is for the time being not in PublicAPI so people can instead write scripts using their own logic against the assignSectionToContent() api. Parameters
  mixed | $locationId |
  mixed | $sectionId |
} More...
| changeMainLocation ($contentId, $locationId)
  | {Changes main location of content identified by given $contentId to location identified by given $locationId. Parameters
  mixed | $contentId |
  mixed | $locationId |
} More...
| countAllLocations ()
| Get the total number of all existing Locations. More...
| loadAllLocations ($offset, $limit)
| Bulk-load all existing Locations, constrained by $limit and $offset to paginate results. More...
Public Member Functions inherited from eZ\Publish\Core\Persistence\Cache\AbstractInMemoryPersistenceHandler
| __construct (TransactionAwareAdapterInterface $cache, PersistenceLogger $logger, InMemoryCache $inMemory, PersistenceHandler $persistenceHandler, CacheIdentifierGeneratorInterface $cacheIdentifierGenerator, CacheIdentifierSanitizer $cacheIdentifierSanitizer, LocationPathConverter $locationPathConverter)
| Setups current handler with everything needed. More...
Public Member Functions inherited from eZ\Publish\Core\Persistence\Cache\AbstractInMemoryHandler
| __construct (TransactionAwareAdapterInterface $cache, PersistenceLogger $logger, InMemoryCache $inMemory)
| Setups current handler with everything needed. More...
Public Member Functions inherited from eZ\Publish\SPI\Persistence\Content\Location\Handler
| copySubtree ($sourceId, $destinationParentId)
| Copy location object identified by $sourceId, into destination identified by $destinationParentId. More...
| create (CreateStruct $location)
| Creates a new location rooted at $location->parentId. More...

## Protected Member Functions
| init ()
| Optional function to initialize handler without having to overload __construct(). More...
Protected Member Functions inherited from eZ\Publish\Core\Persistence\Cache\AbstractInMemoryHandler
| getCacheValue ( $id, string $keyPrefix, callable $backendLoader, callable $cacheTagger, callable $cacheIndexes, string $keySuffix='', array $arguments=[])
| Load one cache item from cache and loggs the hits / misses. More...
| getListCacheValue (string $key, callable $backendLoader, callable $cacheTagger, callable $cacheIndexes, callable $listTags=null, array $arguments=[])
| Load list of objects of some type and loggs the hits / misses. More...
| getMultipleCacheValues (array $ids, string $keyPrefix, callable $backendLoader, callable $cacheTagger, callable $cacheIndexes, string $keySuffix='', array $arguments=[])
| Load several cache items from cache and loggs the hits / misses. More...

## Private Member Functions
| getCacheTags (Location $location, $tags=[])
| Return relevant content and location tags so cache can be purged reliably. More...
| getCacheTranslationKey (array $translations=null, bool $useAlwaysAvailable=true)

## Private Attributes
const | CONTENT_IDENTIFIER = 'content'
const | LOCATION_IDENTIFIER = 'location'
const | LOCATION_PATH_IDENTIFIER = 'location_path'
const | LOCATION_REMOTE_ID_IDENTIFIER = 'location_remote_id'
const | LOCATION_SUBTREE_IDENTIFIER = 'location_subtree'
const | CONTENT_LOCATIONS_IDENTIFIER = 'content_locations'
const | CONTENT_LOCATIONS_WITH_PARENT_FOR_DRAFT_SUFFIX_IDENTIFIER = 'content_locations_with_parent_for_draft_suffix'
const | PARENT_FOR_DRAFT_SUFFIX = 'parent_for_draft_suffix'
const | ROLE_ASSIGNMENT_GROUP_LIST_IDENTIFIER = 'role_assignment_group_list'
| $getLocationTags
| $getLocationKeys

## Additional Inherited Members
Protected Attributes inherited from eZ\Publish\Core\Persistence\Cache\AbstractInMemoryPersistenceHandler
| $persistenceHandler
| $cacheIdentifierGenerator
| $cacheIdentifierSanitizer
| $locationPathConverter
Protected Attributes inherited from eZ\Publish\Core\Persistence\Cache\AbstractInMemoryHandler
| $cache
| $logger

## Detailed Description

See also
  \eZ\Publish\SPI\Persistence\Content\Location\Handler

Definition at line 17 of file LocationHandler.php.

## Member Function Documentation

## ◆ changeMainLocation()

eZ\Publish\Core\Persistence\Cache\LocationHandler::changeMainLocation | ( |  | $contentId,
|  |  | $locationId
| ) |  |

{Changes main location of content identified by given $contentId to location identified by given $locationId.

Parameters

  mixed | $contentId |
  mixed | $locationId |

}

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 428 of file LocationHandler.php.

## ◆ copySubtree()

eZ\Publish\Core\Persistence\Cache\LocationHandler::copySubtree | ( |  | $sourceId,
|  |  | $destinationParentId,
|  |  | $newOwnerId = `null`
| ) |  |

{}

Definition at line 251 of file LocationHandler.php.

## ◆ countAllLocations()

eZ\Publish\Core\Persistence\Cache\LocationHandler::countAllLocations | ( |  | ) |

Get the total number of all existing Locations.

Can be combined with loadAllLocations.

Returns
  int

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 443 of file LocationHandler.php.

## ◆ create()

eZ\Publish\Core\Persistence\Cache\LocationHandler::create | ( | CreateStruct | $locationStruct | ) |

{}

Definition at line 382 of file LocationHandler.php.

## ◆ getCacheTags()

eZ\Publish\Core\Persistence\Cache\LocationHandler::getCacheTags | ( | Location | $location,
|  |  | $tags = `[]`
| ) |  |
| private

Return relevant content and location tags so cache can be purged reliably.

Parameters

  array | $tags | Optional, can be used to specify additional tags.

Returns
  array

Definition at line 472 of file LocationHandler.php.

Referenced by eZ\Publish\Core\Persistence\Cache\LocationHandler\loadLocationsByContent(), and eZ\Publish\Core\Persistence\Cache\LocationHandler\loadParentLocationsForDraftContent().

## ◆ getCacheTranslationKey()

eZ\Publish\Core\Persistence\Cache\LocationHandler::getCacheTranslationKey | ( | array | $translations = `null`,
|  | bool | $useAlwaysAvailable = `true`
| ) |  |
| private

Definition at line 485 of file LocationHandler.php.

Referenced by eZ\Publish\Core\Persistence\Cache\LocationHandler\load(), eZ\Publish\Core\Persistence\Cache\LocationHandler\loadByRemoteId(), and eZ\Publish\Core\Persistence\Cache\LocationHandler\loadList().

## ◆ hide()

eZ\Publish\Core\Persistence\Cache\LocationHandler::hide | ( |  | $locationId | ) |

{Sets a location to be hidden, and it self + all children to invisible.

Parameters

  mixed | $id | Location ID

}

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 289 of file LocationHandler.php.

## ◆ init()

eZ\Publish\Core\Persistence\Cache\LocationHandler::init | ( |  | ) |
| protected

Optional function to initialize handler without having to overload __construct().

Reimplemented from eZ\Publish\Core\Persistence\Cache\AbstractInMemoryPersistenceHandler.

Definition at line 35 of file LocationHandler.php.

## ◆ load()

eZ\Publish\Core\Persistence\Cache\LocationHandler::load | ( |  | $locationId,
|  | array | $translations = `null`,
|  | bool | $useAlwaysAvailable = `true`
| ) |  |

{Loads the data for the location identified by $locationId.

Parameters

  int | $locationId |
  string[] | null | $translations | If set, NotFound is thrown if content is not in given translation.
  bool | $useAlwaysAvailable | Respect always available flag on content, where main language is valid translation fallback.

Exceptions

}

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 66 of file LocationHandler.php.

References eZ\Publish\Core\Persistence\Cache\LocationHandler\$getLocationKeys, eZ\Publish\Core\Persistence\Cache\LocationHandler\$getLocationTags, eZ\Publish\Core\Persistence\Cache\LocationHandler\getCacheTranslationKey(), and eZ\Publish\Core\Persistence\Cache\AbstractInMemoryHandler\getCacheValue().

## ◆ loadAllLocations()

eZ\Publish\Core\Persistence\Cache\LocationHandler::loadAllLocations | ( |  | $offset,
|  |  | $limit
| ) |  |

Bulk-load all existing Locations, constrained by $limit and $offset to paginate results.

Parameters

  int | $offset |
  int | $limit |

Returns
  \eZ\Publish\SPI\Persistence\Content\Location[]

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 458 of file LocationHandler.php.

## ◆ loadByRemoteId()

eZ\Publish\Core\Persistence\Cache\LocationHandler::loadByRemoteId | ( |  | $remoteId,
|  | array | $translations = `null`,
|  | bool | $useAlwaysAvailable = `true`
| ) |  |

{Loads the data for the location identified by $remoteId.

Parameters

  string | $remoteId |
  string[] | null | $translations | If set, NotFound is thrown if content is not in given translation.
  bool | $useAlwaysAvailable | Respect always available flag on content, where main language is valid translation fallback.

Exceptions

}

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 228 of file LocationHandler.php.

References eZ\Publish\Core\Persistence\Cache\LocationHandler\$getLocationKeys, eZ\Publish\Core\Persistence\Cache\LocationHandler\$getLocationTags, eZ\Publish\Core\Persistence\Cache\LocationHandler\getCacheTranslationKey(), and eZ\Publish\Core\Persistence\Cache\AbstractInMemoryHandler\getCacheValue().

## ◆ loadList()

eZ\Publish\Core\Persistence\Cache\LocationHandler::loadList | ( | array | $locationIds,
|  | array | $translations = `null`,
|  | bool | $useAlwaysAvailable = `true`
| ) |  |

Return list of unique Locations, with location id as key.

Missing items (NotFound) will be missing from the array and not cause an exception, it's up to calling logic to determine if this should cause exception or not.

Parameters

  int[] | $locationIds |
  string[] | null | $translations | If set, only locations with content in given translations are returned.
  bool | $useAlwaysAvailable | Respect always available flag on content, where main language is valid translation fallback.

Returns
  \eZ\Publish\SPI\Persistence\Content\Location[]|iterable

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 86 of file LocationHandler.php.

References eZ\Publish\Core\Persistence\Cache\LocationHandler\$getLocationKeys, eZ\Publish\Core\Persistence\Cache\LocationHandler\$getLocationTags, eZ\Publish\Core\Persistence\Cache\LocationHandler\getCacheTranslationKey(), and eZ\Publish\Core\Persistence\Cache\AbstractInMemoryHandler\getMultipleCacheValues().

## ◆ loadLocationsByContent()

eZ\Publish\Core\Persistence\Cache\LocationHandler::loadLocationsByContent | ( |  | $contentId,
|  |  | $rootLocationId = `null`
| ) |  |

{Loads all locations for $contentId, optionally limited to a sub tree identified by $rootLocationId.

Parameters

  int | $contentId |
  int | $rootLocationId |

Returns
  \eZ\Publish\SPI\Persistence\Content\Location[]

}

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 141 of file LocationHandler.php.

References eZ\Publish\Core\Persistence\Cache\LocationHandler\getCacheTags(), and eZ\Publish\Core\Persistence\Cache\AbstractInMemoryHandler\getCacheValue().

## ◆ loadLocationsByTrashContent()

eZ\Publish\Core\Persistence\Cache\LocationHandler::loadLocationsByTrashContent | ( | int | $contentId,
|  | ?int | $rootLocationId = `null`
| ) |  |

{Loads all locations for $contentId in trash, optionally limited to a sub tree identified by $rootLocationId.

Returns
  \eZ\Publish\SPI\Persistence\Content\Location[]

}

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 183 of file LocationHandler.php.

## ◆ loadParentLocationsForDraftContent()

eZ\Publish\Core\Persistence\Cache\LocationHandler::loadParentLocationsForDraftContent | ( |  | $contentId | ) |

{Loads all parent Locations for unpublished Content by given $contentId.

Parameters

  mixed | $contentId |

Returns
  \eZ\Publish\SPI\Persistence\Content\Location[]

}

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 193 of file LocationHandler.php.

References eZ\Publish\Core\Persistence\Cache\LocationHandler\getCacheTags(), and eZ\Publish\Core\Persistence\Cache\AbstractInMemoryHandler\getCacheValue().

## ◆ loadSubtreeIds()

eZ\Publish\Core\Persistence\Cache\LocationHandler::loadSubtreeIds | ( |  | $locationId | ) |

{Loads the subtree ids of the location identified by $locationId.

Parameters

  int | $locationId |

Exceptions

}

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 109 of file LocationHandler.php.

References eZ\Publish\Core\Persistence\Cache\AbstractInMemoryHandler\getCacheValue().

## ◆ markSubtreeModified()

eZ\Publish\Core\Persistence\Cache\LocationHandler::markSubtreeModified | ( |  | $locationId,
|  |  | $timestamp = `null`
| ) |  |

{Marks the given nodes and all ancestors as modified.Optionally a time stamp with the modification date may be specified, otherwise the current time is used.

Deprecated:
  As of 6.8, not been used by repository since 5.x.

Parameters

  int | string | $locationId |
  int | $timestamp |

}

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 280 of file LocationHandler.php.

## ◆ move()

eZ\Publish\Core\Persistence\Cache\LocationHandler::move | ( |  | $sourceId,
|  |  | $destinationParentId
| ) |  |

{Moves location identified by $sourceId into new parent identified by $destinationParentId.Performs a full move of the location identified by $sourceId to a new destination, identified by $destinationParentId. Relations do not need to be updated, since they refer to Content. URLs are not touched.

Parameters

  mixed | $sourceId |
  mixed | $destinationParentId |

Returns
  bool

}

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 265 of file LocationHandler.php.

## ◆ removeSubtree()

eZ\Publish\Core\Persistence\Cache\LocationHandler::removeSubtree | ( |  | $locationId | ) |

{Removes all Locations under and including $locationId.Performs a recursive delete on the location identified by $locationId, including all of its child locations. Content which is not referred to by any other location is automatically removed. Content which looses its main Location will get the first of its other Locations assigned as the new main Location.

Parameters

  mixed | $locationId |

Returns
  bool

}

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 400 of file LocationHandler.php.

## ◆ setInvisible()

eZ\Publish\Core\Persistence\Cache\LocationHandler::setInvisible | ( | int | $id | ) |

Sets a location + all children to invisible.

Parameters

  int | $id | Location ID

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 321 of file LocationHandler.php.

## ◆ setSectionForSubtree()

eZ\Publish\Core\Persistence\Cache\LocationHandler::setSectionForSubtree | ( |  | $locationId,
|  |  | $sectionId
| ) |  |

{Set section on all content objects in the subtree.Only main locations will be updated.

Todo:
  This can be confusing (regarding permissions and main/multi location). So method is for the time being not in PublicAPI so people can instead write scripts using their own logic against the assignSectionToContent() api.

Parameters

  mixed | $locationId |
  mixed | $sectionId |

}

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 415 of file LocationHandler.php.

## ◆ setVisible()

eZ\Publish\Core\Persistence\Cache\LocationHandler::setVisible | ( | int | $id | ) |

Sets a location + all children to visible.

Parameters

  int | $id | Location ID

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 336 of file LocationHandler.php.

## ◆ swap()

eZ\Publish\Core\Persistence\Cache\LocationHandler::swap | ( |  | $locationId1,
|  |  | $locationId2
| ) |  |

{Swaps the content object being pointed to by a location object.Make the location identified by $locationId1 refer to the Content referred to by $locationId2 and vice versa.

Parameters

  mixed | $locationId1 |
  mixed | $locationId2 |

Returns
  bool

}

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 349 of file LocationHandler.php.

## ◆ unHide()

eZ\Publish\Core\Persistence\Cache\LocationHandler::unHide | ( |  | $locationId | ) |

{Sets a location to be unhidden, and self + children to visible unless a parent is hiding the tree.If not make sure only children down to first hidden node is marked visible.

Parameters

  mixed | $id |

}

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 304 of file LocationHandler.php.

## ◆ update()

eZ\Publish\Core\Persistence\Cache\LocationHandler::update | ( | UpdateStruct | $struct,
|  |  | $locationId
| ) |  |

{Updates an existing location.

Parameters

  \eZ\Publish\SPI\Persistence\Content\Location\UpdateStruct | $location |
  int | $locationId |

}

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 369 of file LocationHandler.php.

## Member Data Documentation

## ◆ $getLocationKeys

eZ\Publish\Core\Persistence\Cache\LocationHandler::$getLocationKeys
| private

Definition at line 33 of file LocationHandler.php.

Referenced by eZ\Publish\Core\Persistence\Cache\LocationHandler\load(), eZ\Publish\Core\Persistence\Cache\LocationHandler\loadByRemoteId(), and eZ\Publish\Core\Persistence\Cache\LocationHandler\loadList().

## ◆ $getLocationTags

eZ\Publish\Core\Persistence\Cache\LocationHandler::$getLocationTags
| private

Definition at line 30 of file LocationHandler.php.

Referenced by eZ\Publish\Core\Persistence\Cache\LocationHandler\load(), eZ\Publish\Core\Persistence\Cache\LocationHandler\loadByRemoteId(), and eZ\Publish\Core\Persistence\Cache\LocationHandler\loadList().

## ◆ CONTENT_IDENTIFIER

const eZ\Publish\Core\Persistence\Cache\LocationHandler::CONTENT_IDENTIFIER = 'content'
| private

Definition at line 19 of file LocationHandler.php.

## ◆ CONTENT_LOCATIONS_IDENTIFIER

const eZ\Publish\Core\Persistence\Cache\LocationHandler::CONTENT_LOCATIONS_IDENTIFIER = 'content_locations'
| private

Definition at line 24 of file LocationHandler.php.

## ◆ CONTENT_LOCATIONS_WITH_PARENT_FOR_DRAFT_SUFFIX_IDENTIFIER

const eZ\Publish\Core\Persistence\Cache\LocationHandler::CONTENT_LOCATIONS_WITH_PARENT_FOR_DRAFT_SUFFIX_IDENTIFIER = 'content_locations_with_parent_for_draft_suffix'
| private

Definition at line 25 of file LocationHandler.php.

## ◆ LOCATION_IDENTIFIER

const eZ\Publish\Core\Persistence\Cache\LocationHandler::LOCATION_IDENTIFIER = 'location'
| private

Definition at line 20 of file LocationHandler.php.

## ◆ LOCATION_PATH_IDENTIFIER

const eZ\Publish\Core\Persistence\Cache\LocationHandler::LOCATION_PATH_IDENTIFIER = 'location_path'
| private

Definition at line 21 of file LocationHandler.php.

## ◆ LOCATION_REMOTE_ID_IDENTIFIER

const eZ\Publish\Core\Persistence\Cache\LocationHandler::LOCATION_REMOTE_ID_IDENTIFIER = 'location_remote_id'
| private

Definition at line 22 of file LocationHandler.php.

## ◆ LOCATION_SUBTREE_IDENTIFIER

const eZ\Publish\Core\Persistence\Cache\LocationHandler::LOCATION_SUBTREE_IDENTIFIER = 'location_subtree'
| private

Definition at line 23 of file LocationHandler.php.

## ◆ PARENT_FOR_DRAFT_SUFFIX

const eZ\Publish\Core\Persistence\Cache\LocationHandler::PARENT_FOR_DRAFT_SUFFIX = 'parent_for_draft_suffix'
| private

Definition at line 26 of file LocationHandler.php.

## ◆ ROLE_ASSIGNMENT_GROUP_LIST_IDENTIFIER

const eZ\Publish\Core\Persistence\Cache\LocationHandler::ROLE_ASSIGNMENT_GROUP_LIST_IDENTIFIER = 'role_assignment_group_list'
| private

Definition at line 27 of file LocationHandler.php.

The documentation for this class was generated from the following file:

- LocationHandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.